(() => {
    var cafe = [],	// 読み取ったCSV全てが入る配列
	ncafe,		// データの個数(quiz.lengthのまま使ってもよい)
	pos=0;		// 現在の配列の添字位置
    var csvfile = "data.csv";	// CSVデータファイル名
    function putValues(row) {
	// CSVの1行分のJSONがrowに入る
	for (let key of Object.keys(row)) {
	    // Object.keys(JSON)でキーを1個ずつ取り出す(Rubyのkeys)
	    let id = "__" + key + "__"; // HTML要素のID
		console.log(id);
		console.log(row[key]);
	    let elem = document.getElementById(id);
	    if (elem) {  // もし id="__カラム名__" の要素が見つかったら
			if (elem.tagName.match(/img/i)) {
				elem.src=row[key];
			} else if (elem.tagName.match(/^a$/i)) { //^ はじめ $ 文末
				if (row[key]==""){
				elem.href=row[ないよ]
				} else {
				elem.href=row[key];
				}
			} else {
				elem.innerText = row[key];
			}
	    }
	}
    }
})();